#!/usr/local/bin/perl 

#$| = 1;

#require '../code/heald_lib.pl';
require 'heald_output_lib.pl';

## OPTIONS PROCESSING

use Getopt::Std;

getopts(':HW1234');

if ($opt_H) {$act='H'};
if ($opt_W) {$act='W'};
die "action not recognised\n" unless ($act);

if ($opt_1) {$list=1};
if ($opt_2) {$list=2};
if ($opt_3) {$list=3};
if ($opt_4) {$list=4};
die "list type not recognised\n" unless ($list);

$al = "$act$list";


%title = (
	H1 => 'Husbands of UK Healds, Wife Firstname Index',
	H2 => 'Husbands of UK Healds, Husband Firstname Index',
	H3 => 'Husbands of UK Healds, Husband Surname Index',
	H4 => 'Husbands of UK Healds, Semialphabetical Husband Surname Index',
	W1 => 'Wives of UK Healds, Husband Firstname Index',
	W2 => 'Wives of UK Healds, Wife Firstname Index',
	W3 => 'Wives of UK Healds, Wife Surname Index',
	W4 => 'Wives of UK Healds, Semialphabetical Wife Surname Index',
);

%desc = (
	H1 => "Husbands of UK Healds, arranged by wife's first name",
	H2 => "Husbands of UK Healds, arranged by husband's first name",
	H3 => "Husbands of UK Healds, arranged by husband's surname",
	H4 => "Husbands of UK Healds, arranged by first letter of husband's surname",
	W1 => "Wives of UK Healds, arranged by husband's first name",
	W2 => "Wives of UK Healds, arranged by wife's first name",
	W3 => "Wives of UK Healds, arranged by wife's surname",
	W4 => "Wives of UK Healds, arranged by first letter of wife's surname",
);

%breaks = (
	H1 => mo,
	H2 => fa,
	W1 => fa,
	W2 => mo,
);

sub section_callback {
	my ($text,undef) = @_;
	if ($section_linecount > 20) {
		print {$OUTFILE} "</table>\n";
		print {$OUTFILE} "<table border=0 cellspacing=0 width=100%>";
		print {$OUTFILE} "<font class=f2unbold face='times'>\n";
	}
	&section_head($text,'itmh');
	if ($section_linecount > 20) {
		print {$OUTFILE} "</table>\n";
		print {$OUTFILE} "<table border=0 cellspacing=0 width=100%>";
		print {$OUTFILE} "<font class=f2unbold face='times'>\n";
		$section_linecount = 0;
	}
}

$OUTFILE = *STDOUT;
$links_out = 1;
$do_az_bar = 1;
$do_cbold	= 0;
#$field_list = 'CdmybFMcQlN';
$field_list = 'CdmyFMcQlS';
$break_by = $breaks{$al};
&page_header($title{$al},$desc{$al},'imh');
&page_data;
&page_footer('itmh');


__END__

 
