require '../code/heald_lib.pl';

use Getopt::Std;

getopts(':MF');


@hashlist = \(%child,%day,%month,%year,%note,
		%father,%mother,%place,%parish,
		%county,%chapman,%batch,%lds);

while (<>) {

	next if (/^\s*(#|m\.|d\.|bur\.|EMIG|:|Mrs|Event)/);	
	$ct++;
	($child,$day,$month,$year,$note,
		$father,$mother,$place,$parish,
		$county,$chapman,$batch,$lds) = @line = split(/:/);

	#($sname,$fname) = names(FULLNAME => $child,SEX => MF);
	#($sname,$fname) = names(FULLNAME => $mother,SEX => MF);
	($sname,$fname) = names(FULLNAME => $father,SEX => MF);
	
	next unless $fname;
	#print "$fname\n";
	
	#$out = $fname;
	$out=$_;	
	$seen{$out}++ unless (  ($opt_M && $std_boys{$fname})
						   || ($opt_F && $std_girls{$fname}) );
}	

foreach $name (sort(keys(%seen))) {
	print "\u$name ($seen{$name})\n";
}

__END__
