#!/usr/local/bin/perl 

require 'heald_lib.pl';
&read_counties;

###############  BUILD DATABASE ################################

$| = 1;
my $ct = 0;
my $latest=0;
$mo_fname{$latest} = '__NULL__';
while (<>) {
	next if (/^#/);

	$ct++;
	($child,$day,$month,$year,$note,
		$father,$mother,$place,$parish,
		$county,$chapman,$batch,$lds) = @line = split(/:/);

	# next if ($year < 1801);
	next if (($child=~ /^d\./) || ($child=~ /^EMIGRATED/)); 
	$line = $_;
	### print "$_\n";
	

	($mo_sname{$ct},$mo_fname{$ct}) = names(FULLNAME => $mother,SEX => F);
	($fa_sname{$ct},$fa_fname{$ct}) = names(FULLNAME => $father,SEX => M);
	
	
	# remove 'Mrs John Heald' surnames/forenames
	if (($fa_sname{$ct} eq 'HEALD') && ($mo_sname{$ct} eq 'HEALD'))  
	{
		unless(   ($batch =~ /^M/)    # marriage register
		        &&(!(do{
					my ($m1,$m1s,$m1f);
					($m1 = $mother) =~ s/\[[\w\s\/]*\]//;
					($m1s,$msf) = names(FULLNAME => $m1,SEX => F);
					$mls;
				  }))
		){
			$mo_sname{$ct} = '';
			if ($fa_fname{$ct} eq ($std_boys{$mo_fname{$ct}} || $mo_fname{$ct})) {
				$mo_fname{$ct} = '';
				#next;
			}
		}
	}



	if (no_conflict($ct,$latest)) {
		if  (		($mo_fname{$ct}) && (!$mo_fname{$latest})
			||  # can fill in mother's surname
				(	($mo_sname{$ct} && (!$mo_sname{$latest}))
				&& 	(($mo_fname{$ct}) || (!$mo_fname{$latest}))
				)
			)
				#remove previous entry
				{$latest=$ct};
		next;
	}
	# next unless ($fa_fname{$ct} && $mo_fname{$ct});

	next if (no_conflict($ct,$latest));
		
	# add to marked records
	$latest = $ct;
	next unless (($fa_sname{$ct} eq "HEALD") || ($mo_sname{$ct} eq "HEALD"));
	next if ($lds =~ m#//\s*m\.#);

	$count{$chapman}++;
	### print "OK\n";
	
}

sub by_cindex {
	$cindex{$a} <=> $cindex{$b};
}

foreach $ch (sort by_cindex (keys(%count))) {
	print "$ch:$count{$ch}\n";
}


__END__


