require 'heald_lib.pl';

use Getopt::Std;

getopts(':MF');


@hashlist = \(%child,%day,%month,%year,%note,
		%father,%mother,%place,%parish,
		%county,%chapman,%batch,%lds);

while (<>) {
	next if (/^\s*(#|m\.|d\.|bur\.|EMIG|:|Mrs|Event)/);	

	$ct++;
	($child,$day,$month,$year,$note,
		$father,$mother,$place,$parish,
		$county,$chapman,$batch,$lds) = @line = split(/:/);

	($ch_sname,$ch_fname) = names(FULLNAME => $child,SEX => MF);
	next unless ($ch_sname eq 'HEALD');
	
	if ($opt_M && ! $opt_F) {
		next unless $std_boys{$ch_fname};
	}
	
	if ($opt_F && ! $opt_M) {
		next unless $std_girls{$ch_fname};
	}
	
	$ch_fname{$ct} = $ch_fname;
	$line{$ct} = $_;
	foreach my $rhash (@hashlist) {
		$rhash->{$ct} = shift(@line);
	}
	$date{$ct} = $year + $mindex{$month}/13.0 + $day/404.0;
	
}

sub by_firstname {
	by_ch_fname2() || by_date() || by_county() || by_parish();
}

sub list_by_firstname {
	foreach $ct (sort by_firstname (keys(%line))) {
		$ini = initial($ch_fname{$ct});
		if (initial($ini) ne $last_ini) {
			print "#\n# -- $ini -- \n#\n";
			$last_ini = $ini;
		} 
		print "$line{$ct}";
		$prev=$ct;
	}
}

&list_by_firstname;
print "#\n";

__END__





